WNTextInternal::TableData Struct Reference

Internal: the table of a WNText. More...

## Public Member Functions

| TableData ()
| constructor More...
void | updateCell (MWAWCell &cell) const
| update a cell More...

## Public Attributes

int | m_type
| the type More...
Box2i | m_box
| the bdbox More...
MWAWColor | m_color
| the background color More...
int | m_flags [4]
| some unknown flags : T, R, B, L More...
int | m_values [10]
| some unknown values More...
std::string | m_error
| the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, TableData const &table)
| operator<< More...

## Detailed Description

Internal: the table of a WNText.

## Constructor & Destructor Documentation

WNTextInternal::TableData::TableData | ( |  | ) |

inline

constructor

## Member Function Documentation

void WNTextInternal::TableData::updateCell | ( | MWAWCell & | cell | ) | const

inline

update a cell

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | TableData const & | table
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i WNTextInternal::TableData::m_box

the bdbox

Referenced by updateCell().

MWAWColor WNTextInternal::TableData::m_color

the background color

Referenced by WNText::readTable(), and updateCell().

std::string WNTextInternal::TableData::m_error

the parsing errors

int WNTextInternal::TableData::m_flags[4]

some unknown flags : T, R, B, L

Referenced by TableData(), and updateCell().

int WNTextInternal::TableData::m_type

the type

Referenced by WNText::readTable().

int WNTextInternal::TableData::m_values[10]

some unknown values

Referenced by WNText::readTable(), and TableData().

The documentation for this struct was generated from the following file:

- WNText.cxx